package cn.com.tenlion.materialstore.pojo.vos.materialtext;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MaterialTextVO
 * @Description: 文字素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 11:06:15
 * @Version: 3.0
 **/
@ApiModel
public class MaterialTextVO {

    @ApiModelProperty(name = "materialTextContent", value = "文字内容")
    private String materialTextContent;
    @ApiModelProperty(name = "materialTextTitle", value = "文字标题")
    private String materialTextTitle;
    @ApiModelProperty(name = "materialId", value = "素材包ID")
    private String materialId;
    @ApiModelProperty(name = "materialOrder", value = "排序")
    @CheckNumberAnnotation(name = "排序")
    private Integer materialOrder;
    @ApiModelProperty(name = "materialRemark", value = "备注")
    private String materialRemark;

    public String getMaterialTextContent() {
        return materialTextContent == null ? "" : materialTextContent.trim();
    }

    public void setMaterialTextContent(String materialTextContent) {
        this.materialTextContent = materialTextContent;
    }

    public String getMaterialTextTitle() {
        return materialTextTitle == null ? "" : materialTextTitle.trim();
    }

    public void setMaterialTextTitle(String materialTextTitle) {
        this.materialTextTitle = materialTextTitle;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }


}
